import { NextRequest, NextResponse } from 'next/server';

export function middleware(req: NextRequest) {
  const token = req.cookies.get('token'); // دریافت توکن از کوکی

  // بررسی اینکه مسیر داخل settings هست
  if (req.nextUrl.pathname.startsWith('/settings') && !token) {
    return NextResponse.redirect(new URL('/login', req.url)); // انتقال به صفحه لاگین
  }

  return NextResponse.next(); // ادامه پردازش عادی
}

// تعیین مسیرهایی که این middleware روی آنها اعمال می‌شود
export const config = {
  matcher: ['/settings/:path*'], // فقط روی مسیرهای settings اعمال شود
};
